#!/bin/sh

SWNAME=libpng-1.0.15

rm -rf $SWNAME
tar zxvf $SWNAME.tar.gz
patch -p0 <<EOF
*** libpng-1.0.15/scripts/makefile.linux.orig	2001-06-09 04:21:33.000000000 +0900
--- libpng-1.0.15/scripts/makefile.linux	2003-02-14 22:07:44.000000000 +0900
***************
*** 24,30 ****
  
  # for pgcc version 2.95.1, -O3 is buggy; don't use it.
  
! CFLAGS=-I\$(ZLIBINC) -Wall -O3 -funroll-loops \\
  	\$(ALIGN) # \$(WARNMORE) -g -DPNG_DEBUG=5
  LDFLAGS=-L. -Wl,-rpath,. -L\$(ZLIBLIB) -Wl,-rpath,\$(ZLIBLIB) -lpng -lz -lm
  
--- 24,30 ----
  
  # for pgcc version 2.95.1, -O3 is buggy; don't use it.
  
! CFLAGS=-I\$(ZLIBINC) -Wall -O2 \\
  	\$(ALIGN) # \$(WARNMORE) -g -DPNG_DEBUG=5
  LDFLAGS=-L. -Wl,-rpath,. -L\$(ZLIBLIB) -Wl,-rpath,\$(ZLIBLIB) -lpng -lz -lm
  
EOF
cd $SWNAME
ln -s scripts/makefile.linux Makefile
make prefix=/usr ZLIBLIB=/usr/lib ZLIBINC=/usr/include

rm -rf ../pkg
mkdir -p ../pkg/usr/include
mkdir -p ../pkg/usr/lib
mkdir -p ../pkg/usr/man
make install prefix=`pwd`/../pkg/usr
mkdir -p ../pkg/usr/doc/$SWNAME
cp -p ../plamobuild.sh ANNOUNCE CHANGES KNOWNBUG LICENSE README TODO Y2KINFO ../pkg/usr/doc/$SWNAME/.
gzip ../pkg/usr/doc/$SWNAME/*
gzip ../pkg/usr/man/man?/*
chown -R root:root ../pkg/usr/doc
